Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
CDPCloud Portal
Sitecore CDP Developer Documentation
  • Developing with Sitecore CDP
    • Base URL
    • Response codes
    • REST API Guest v2.1
    • REST API Guest data extension v2.1
    • REST API Order v2.1
    • REST API Order contact v2.1
    • REST API Order consumer v2.1
    • REST API Order data extension v2.1
    • REST API Order item data extension v2.1
    • REST API Audience export
            • Differences between v2 and v2.1
            • Create a guest (legacy)
            • Retrieve guests (legacy)
            • Retrieve a guest (legacy)
            • Update a guest (legacy)
  1. Guest REST API v2 (legacy)
  1. REST APIs
  2. Legacy REST APIs
  3. Guest REST API v2 (legacy)
  4. Retrieve guests (legacy)

Retrieve guests (legacy)

Important

A newer version of this REST API (v2.1) is available. If you're new to this REST API, use the new version. Alternatively, if you're already using the old version, read about the differences between v2 and v2.1 so you can upgrade.

GET /v2/guests

Retrieves guests using their email address or other identifying information.

In the response, in items.href, the guest reference is the string that follows the final slash:

"href": "<baseURL>/v2/guests/<guestRef>"

You use the guest reference to interact with the full guest record, for example, to retrieve or update it.

You can also use the guest reference to find data about the guest in Sitecore CDP. In Sitecore CDP, click Guests. In the Search field, enter the guest reference. Then, Sitecore CDP lists the guest profile for the guest.

Retrieve guests by email:

curl -X GET '<baseURL>/v2/[email protected]' \
-u '<username>:<password>' \
-H 'Accept: application/json'
{
  "href": "<baseURL>/v2/guests?offset=0&limit=10&[email protected]",
  "offset": 0,
  "limit": 10,
  "items": [
      {
          "href": "<baseURL>/v2/guests/f7aabbca-1c1b-4fc2-be72-3e16294a4f03"
      }
  ]
}

Retrieve guests by identifiers:

curl -X GET '<baseURL>/v2/guests?identifiers.provider=BXLP&identifiers.id=123456' \
-u '<username>:<password>' \
-H 'Accept: application/json'
{
  "href": "<baseURL>/v2/guests?offset=0&limit=10&identifiers.provider=BXLP&identifiers.id=123456",
  "offset": 0,
  "limit": 10,
  "items": [
      {
          "href": "<baseURL>/v2/guests/f7aabbca-1c1b-4fc2-be72-3e16294a4f03"
      }
  ]
}

Customize the request

You can search the collection using the following query parameters:

  • firstName

  • lastName

  • email

  • email.untouched

  • phoneNumber

  • identifiers.provider plus identifiers.id

  • identityStatus

You can paginate and expand the returned resources using the following query parameters:

  • offset

  • limit

  • expand

If you have suggestions for improving this article, let us know!

Documentation Assistant

This assistant uses AI to generate responses based on Sitecore documentation. While it has access to official sources, answers may be incomplete or inaccurate and should not be considered official advice or support.
Powered by
k
kapa.ai
Protected by reCAPTCHA

© Copyright 2026, Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use